/* === SPENDENBAROMETER === */
.c-donation-meter {
    overflow: hidden; // Hide overflowing hint (has width of 200px)
}

.c-donation-meter__content {
    margin: 0 0 40px;
    padding: 25px 37px 0;
    border: 1px solid $frs-color-light-grey;
}

.c-donation-meter__progress {
    position: relative;
    margin: 0;
    padding: 1px;
    height: 20px;
    border: 1px solid $frs-color-light-grey;
}

.c-donation-meter__progress-bar {
    display: block;
    width: 0;
    height: 16px;
    background: #ecf6fc
}

.c-donation-meter__hint {
    position: absolute;
    bottom: 100%;
    left: 0;
    width: 200px;
    margin: 0 0 15px -100px;
    text-align: center;
}

.c-donation-meter__hint::after {
    content: '';
    position: absolute;
    z-index: 2;
    left: 50%;
    top: 100%;
    margin: 1px 0 0 -8px;
    border-top: 8px solid $frs-color-white;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
}

.c-donation-meter__hint::before {
    content: '';
    position: absolute;
    z-index: 2;
    left: 50%;
    top: 100%;
    margin: 1px 0 0 -9px;
    border-top: 9px solid $frs-color-light-grey;
    border-left: 9px solid transparent;
    border-right: 9px solid transparent;
}

.c-donation-meter__hint-wrap {
    position: relative;
    z-index: 1;
    padding: 3px 10px;
    border: 1px solid $frs-color-light-grey;
    font-size: 12px;
    background: $frs-color-white;
    white-space: nowrap;
}

.c-donation-meter__scale {
    position: relative;
    margin: 0;
    padding: 0;
    height: 60px;
    list-style: none;
    color: $frs-color-grey;
}

.c-donation-meter__scale--small {
    font-size: .85em;
}

.c-donation-meter__fraction {
    position: absolute;
    top: 0;
    width: 10%;
    margin-left: -5%;
    padding: 25px 0 0;
    text-align: center;

    &:first-child {
        color: $frs-color-grey;
    }

    &:nth-child(2n) {
        color: $frs-color-grey;
    }
}

.c-donation-meter__fraction--1 {
    left: 10%;
}

.c-donation-meter__fraction--2 {
    left: 20%;
}

.c-donation-meter__fraction--3 {
    left: 30%;
}

.c-donation-meter__fraction--4 {
    left: 40%;
}

.c-donation-meter__fraction--5 {
    left: 50%;
}

.c-donation-meter__fraction--6 {
    left: 60%;
}

.c-donation-meter__fraction--7 {
    left: 70%;
}

.c-donation-meter__fraction--8 {
    left: 80%;
}

.c-donation-meter__fraction--9 {
    left: 90%;
}

.c-donation-meter__fraction--10 {
    left: 100%;
}

.c-donation-meter__fraction::before {
    content: '';
    position: absolute;
    top: 0;
    left: 50%;
    width: 1px;
    height: 20px;
    background: $frs-color-light-grey;
}

.c-donation-meter__fraction--10::before {
    margin-left: -1px;
}

.c-donation-meter__step {
    position: absolute;
    top: 0;
    left: 50%;
    width: 1px;
    height: 10px;
    margin-left: 16.6667%;
    background: $frs-color-light-grey;
}

.c-donation-meter__step--2 {
    margin-left: 33.3333%;
}

.c-donation-meter__step--3 {
    margin-left: 50%;
}

.c-donation-meter__step--4 {
    margin-left: 66.6667%;
}

.c-donation-meter__step--5 {
    margin-left: 83.3333%;
}

.c-donation-meter__fraction--10 > .c-donation-meter__step {
    display: none;
}

.c-donation-meter h2{
    margin-bottom: 15px;
}

.c-donation-meter-intro-text {
    padding-bottom: 30px;
}

.c-donation-meter__progress {
    position: relative;
    margin: 0;
    padding: 1px;
    height: 22px;
    border: 2px solid #e0ddd6;
    width: 95%;
}

.c-donation-meter__scale li.odd,  .c-donation-meter__progress-bar {
    display:none;
}

.c-donation-meter__progress-bar-start, .c-donation-meter__progress-bar-end, .c-donation-meter__progress-bar-1, .c-donation-meter__progress-bar-25, .c-donation-meter__progress-bar-50, .c-donation-meter__progress-bar-75, .c-donation-meter__progress-bar-100 {
    height: 16px;
    float: left;
}

.c-donation-meter__progress-bar-25 {
    width: 25%;
}
.c-donation-meter__progress-bar-50 {
    width: 24%;
}
.c-donation-meter__progress-bar-75 {
    width: 25%;
}
.c-donation-meter__progress-bar-100 {
    width: 25.4%;
}

.c-donation-meter__progress-bar-1 {
    background: #efeeea;
    width: 0.2%;
}

.c-donation-meter__progress-bar-25-color {
    background: #f4b7ad;
    height: 16px;
}
.c-donation-meter__progress-bar-50-color {
    background: #efa795;
    height: 16px;
}
.c-donation-meter__progress-bar-75-color {
    background: #ed8473;
    height: 16px;
}
.c-donation-meter__progress-bar-100-color {
    background: #e7634a;
    height: 16px;
}

.barometer-intro-text-bold {
    font-size: 1.5em;
}

.c-donation-meter__content {
    padding-bottom: 40px;
    border: 0;
    padding-top:5px;
}

.c-donation-meter__progress-bar-end {
    position: absolute;
    right: -40px;
    margin-top: -3px;
    color:#e7634a;
    font-size: .9em;
    line-height: 1.4em;
}

.c-donation-meter__progress-bar-start {
    position:absolute;
    left:-20px;
}

.c-donation-meter__hint {
    width:auto;
    margin:0 0 -20px 0;
    transform: translate3d(0,0,0);
    -webkit-transform: translate3d(0,0,0);
}
.c-donation-meter__hint-wrap {
    background-image: url("/typo3conf/ext/drk_donations/Resources/Public/Images/donation_marker.png") !important;
    background-repeat: no-repeat;
    height: 50px;
    overflow: visible;
    position: absolute;
    border: 0;
    top: -27px;
    background-color: transparent;
}

.c-donation-meter__hint-value {
    position: relative;
    top: 45px;
    color: #e7634a;
    font-weight: bold;
    font-size: 1.3em;
    left: -4px;
}

.c-donation-meter__hint::before, .c-donation-meter__hint::after {
    display:none;
}

.c-donation-meter-goals {
    /*padding-bottom: 100px;*/
    overflow: hidden;
    border: 0;
    padding-left: 37px;
    line-height: 21px;
}

.c-donation-meter-goals-1 {
    width:23%;
    float:left;
    min-height: 1px;
}
.c-donation-meter-goals-2 {width:22%;	float:left;	min-height:1px;}
.c-donation-meter-goals-3 {width:23%;	float:left;	min-height:1px;}
.c-donation-meter-goals-4 {width:25%;	float:left;	min-height:1px;}

.c-donation-meter-goals-head-red {color:#e46450;margin-bottom: 0;padding-left: 20px;}
.c-donation-meter-goals-head-red-light {color:#f48470;margin-bottom: 0;padding-left: 20px;}
.c-donation-meter-goals-head-text {color:#7e7e7e;padding-left: 20px;}
.c-donation-meter-goals-head-text-light {color:#bfbdbb;padding-left: 20px;}
